> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all POS users

> List all POS users



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /pos/users
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /pos/users:
    parameters: []
    get:
      tags:
        - POS
      summary: List all POS users
      description: List all POS users
      operationId: list-pos-users
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: string
                  content:
                    properties:
                      users:
                        type: array
                        items:
                          $ref: '#/components/schemas/PosUser'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
  schemas:
    PosUser:
      title: PosUser
      type: object
      properties:
        id:
          type: string
          readOnly: true
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        phone:
          description: 10 digit phone number without country code.
          type: string
        email:
          type: string
          format: email
        pin:
          type: integer
          readOnly: true
        roles:
          type: array
          items:
            type: object
            properties:
              location_id:
                type: string
              location_name:
                type: string
                readOnly: true
              role_id:
                type: string
              role_name:
                type: string
                readOnly: true
        status:
          $ref: '#/components/schemas/PosUserStatus'
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
    PosUserStatus:
      title: PosUserStatus
      type: string
      enum:
        - active
        - inactive
        - blocked
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````